%define name 	linphone
%define version 0.12.1
%define release 2mdk

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Voice over IP Application
License: 	GPL
Group: 		Communications
URL: 		http://www.linphone.org/
Source: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
BuildRequires: 	gettext pkgconfig libosip-devel
BuildRequires:	libpanel-applet-2-devel libgnomeui2-devel libgnome2-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%prep
%setup -q

%build
%configure --disable-shared
%make

%install
%makeinstall
rm -f %buildroot/%_bindir/speex*
rm -fr %buildroot/%_docdir/speex-1.*
rm -f %buildroot/%_libdir/lib*
rm -fr %buildroot/%_includedir
rm -fr %buildroot/%_datadir/gtk-doc
rm -f %buildroot/%_mandir/man1/speex*

%find_lang %name

#mdk menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name): command="%{name}" \
icon="%{name}.png" \
needs="x11" \
title="LinPhone" \
longtitle="Voice over IP" \
section="Office/Communications/Phone"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %_datadir/gnome/help/%name
%_bindir/linphone*
%_bindir/sipomatic
%_libdir/linphone_applet
%_libdir/bonobo/servers/*.server
%_libdir/pkgconfig/%name.pc
%_mandir/man1/*
%_datadir/pixmaps/%name
%_datadir/sounds/%name
%_datadir/gnome/apps/Internet/%name.desktop
%_datadir/gnome-2.0/ui/*
%_datadir/linphonec/linphonec
%_menudir/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.12.1-2mdk
- Fix menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.12.1-1mdk
- 0.12.1
- fix buildrequires

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.12.0-1mdk
- 0.12.0

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.11.0-2mdk
- move menu entry to Applications/Communications

* Sun May 25 2003 Austin Acton <aacton@yorku.ca> 0.11.0-1mdk
- 0.11.0

* Thu Apr 3 2003 Austin Acton <aacton@yorku.ca> 0.10.2-1mdk
- initial package creation
